package jp.gr.java_conf.akabeko.svgviewer.model;

import java.io.File;
import java.io.FileFilter;

/**
 * ファイル情報のコレクションから、SVG ファイルとディレクトリを抽出します。
 */
public class SvgFileFilter implements FileFilter {
	/**
	 * SVG ファイルの拡張子。
	 */
	private static final String SVG_EXTENSION = ".svg";

	/**
	 * フィルタリングを実行します。
	 *
	 * @param file ファイル情報。
	 *
	 * @return ファイル情報がフィルタリングの対象だった場合は true。それ以外は false。
	 */
	public boolean accept( File file ) {
		return ( file.isDirectory() || file.getName().endsWith( SVG_EXTENSION ) );
	}
}
